//  main: main.less, out: ../style.css


/* ====================================================================================================================================
TRANSITIONS
======================================================================================================================================*/

.transition-elastic(@property : all, @duration: 0.4s, @easing : cubic-bezier(0.075, 0.820, 0.165, 1.000), @delay : 0 ) {
 transition-property: @property;
 transition-duration: @duration;
 transition-timing-function: @easing;
 transition-delay: @delay;
 -webkit-transition-property: @property;
 -webkit-transition-duration: @duration;
 -webkit-transition-timing-function: @easing;
 -webkit-transition-delay: @delay;
}

.transition-elastic--long {
   .transition-elastic(all, 0.8s, cubic-bezier(0.075, 0.820, 0.165, 1.000), 0);
}

.transition-default {
    .transition-elastic(all, 0.3s, cubic-bezier(0.4, 0.0, 0.2, 1), 0);
 }

 .transition-default--long {
    .transition-elastic(all, 0.8s, cubic-bezier(0.4, 0.0, 0.2, 1), 0);
 }

/* ====================================================================================================================================
ANIMATIONS
======================================================================================================================================*/
@keyframes animation__btnZoom {
    0% {
        opacity: .2;
        .u-transform(translate(-50%, -50%)scale(0));
    }
    40% {
        opacity: .2;
    }
    90% {
        opacity: 0;
        .u-transform(translate(-50%, -50%)scale(10));
    }
    100% {
        opacity: 0;
        .u-transform(translate(-50%, -50%)scale(0));
    }
 }

 .animation__btnZoom (@duration: 1s, @delay: 0,) {
    animation-name             : animation__btnZoom;
    animation-duration         : @duration;
    animation-delay            : @delay;
    -webkit-animation-name     : animation__btnZoom;
    -webkit-animation-duration : @duration;
    -webkit-animation-delay    : @delay;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode        : forwards;
    animation-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -webkit-animation-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

// FADE IN ------------------------------
@keyframes animation__fadein {
   from {
       opacity: 0;
   }
   to {
       opacity: 1;
   }
}
@-webkit-keyframes animation__fadein {
   from {
       opacity: 0;
   }
   to {
       opacity: 1;
   }
}

.animation__fadein (@duration: 1s, @delay: .8s,) {
    opacity                    : 0;
    animation-name             : animation__fadein;
    animation-duration         : @duration;
    animation-delay            : @delay;
    -webkit-animation-name     : animation__fadein;
    -webkit-animation-duration : @duration;
    -webkit-animation-delay    : @delay;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode        : forwards;
}

// HIDE NAV WHEN BODY SCROLL ------------------------------
@keyframes animation__scroll{
   from {
       .u-transform(translateY(-100%));
   }
   to {
       .u-transform(translateY(0));
   }
}
@-webkit-keyframes animation__scroll {
   from {
       .u-transform(translateY(-100%));
   }
   to {
       .u-transform(translateY(0));
   }
}

.animation__scroll (@duration: .4s, @delay: 0,) {
    animation-name             : animation__scroll;
    animation-duration         : @duration;
    animation-delay            : @delay;
    -webkit-animation-name     : animation__scroll;
    -webkit-animation-duration : @duration;
    -webkit-animation-delay    : @delay;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode        : forwards;
}

// COOKIE ANIMATION ------------------------------
@keyframes animation__cookie {
    from {
        .u-transform(translateY(100%));
        opacity: 0;
    }
    to {
        .u-transform(translateY(0));
        opacity: 1;
    }
 }
 @-webkit-keyframes animation__cookie {
    from {
        .u-transform(translateY(100%));
        opacity: 0;
    }
    to {
        .u-transform(translateY(0));
        opacity: 1;
    }
 }
 
 .animation__cookie (@duration: 1s, @delay: 0,) {
     animation-name             : animation__cookie;
     animation-duration         : @duration;
     animation-delay            : @delay;
     -webkit-animation-name     : animation__cookie;
     -webkit-animation-duration : @duration;
     -webkit-animation-delay    : @delay;
     -webkit-animation-fill-mode: forwards;
     animation-fill-mode        : forwards;
     animation-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
     -webkit-animation-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
 }

// SCROLL APPEAR TRANSITION ------------------------------
 
 .js-appear {
     opacity: 1;
    .u-transform(translateY(0));
    .transition-elastic--long;

    &.hidden {
        opacity: 0;
        .u-transform(translateY(50px));
    }
 }